# AbstractHorseInventory (Scissors-API 1.19-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.inventory, interface: AbstractHorseInventory

Package org.bukkit.inventory

# Interface AbstractHorseInventory

All Superinterfaces:
  `Inventory`, `Iterable<ItemStack>`

All Known Subinterfaces:
  `ArmoredHorseInventory`, `HorseInventory`, `LlamaInventory`, `SaddledHorseInventory`

public interface AbstractHorseInventory extends Inventory
An interface to the inventory of an `AbstractHorse`.

## Method Summary

Modifier and Type
Method
Description
`@Nullable ItemStack`
`getSaddle()`
Gets the item in the horse's saddle slot.
`void`
`setSaddle(@Nullable ItemStack stack)`
Sets the item in the horse's saddle slot.

### Methods inherited from interface org.bukkit.inventory.Inventory

`addItem, all, all, clear, clear, close, contains, contains, contains, contains, containsAtLeast, first, first, firstEmpty, getContents, getHolder, getHolder, getItem, getLocation, getMaxStackSize, getSize, getStorageContents, getType, getViewers, isEmpty, iterator, iterator, remove, remove, removeItem, removeItemAnySlot, setContents, setItem, setMaxStackSize, setStorageContents`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### getSaddle

@Nullable @Nullable ItemStack getSaddle()
Gets the item in the horse's saddle slot.

Returns:
  the saddle item

### setSaddle

void setSaddle(@Nullable @Nullable ItemStack stack)
Sets the item in the horse's saddle slot.

Parameters:
  `stack` - the new item